View Issue Details

IDProjectCategoryView StatusLast Update
0003185PartDesignFeaturepublic2017-12-10 16:48
ReporterickbyAssigned Toickby 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version0.17Fixed in Version0.17 
Summary0003185: Recompute should work if only subgraph is cyclic
DescriptionFrom werner: the recompute of the document now uses an own algorithm (Document::topologicalSort()) instead of boost graph. As part of PR 806 an algorithm was implemented also based on boost to detect sub-graphs that are valid DAGs in case the document has cycles so that at least a part of the document can be recomputed. Is this also possible with the new method?
TagsNo tags attached.

Relationships

related to 0002982 closedabdullah New sketch on face impossible 

Activities

wmayer

2017-12-10 16:48

administrator   ~0010560

https://github.com/FreeCAD/FreeCAD/commit/91bb7ed0c51ba47f011199af7bc0a3a2964cf5be

Issue History

Date Modified Username Field Change
2017-09-15 17:20 ickby New Issue
2017-09-15 17:20 ickby Status new => assigned
2017-09-15 17:20 ickby Assigned To => ickby
2017-12-03 07:14 wmayer Relationship added related to 0002982
2017-12-10 16:48 wmayer Status assigned => closed
2017-12-10 16:48 wmayer Resolution open => fixed
2017-12-10 16:48 wmayer Fixed in Version => 0.17
2017-12-10 16:48 wmayer Note Added: 0010560